<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Exploiting Embedded Device Firmware — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `extract --firmware <val>` | Extract and decompose firmware image |
| `analyze --firmware <val>` | Analyze firmware for vulnerabilities |
| `exploit --firmware <val> --vector <val>` | Exploit identified firmware vulnerability |
| `report --firmware <val> --format <val>` | Generate firmware analysis report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--firmware` | string | Yes | Firmware parameter |
| `--vector` | string | Yes | Vector parameter |
| `--format` | string | Yes | Format parameter |
